DIR_INST="${DIR_INST:-$HOME/nsolid}"

#######
# set fonts for help
#######
NORM=$(tput sgr0)
BOLD=$(tput bold)

#-------------------------------------------------------------------------------
# unpack
#-------------------------------------------------------------------------------

echo ""
DIR_INST=$(readlink -f ${DIR_INST})
echo "unpacking tarballs into ${DIR_INST}"

mkdir -p ${DIR_INST}
mkdir -p ${DIR_INST}/nsolid-argon
mkdir -p ${DIR_INST}/nsolid-boron
mkdir -p ${DIR_INST}/console
mkdir -p ${DIR_INST}/storage

rm -f    ${DIR_INST}/nsolid
rm -rf   ${DIR_INST}/nsolid-argon/*
rm -rf   ${DIR_INST}/nsolid-boron/*
rm -rf   ${DIR_INST}/console/*
rm -rf   ${DIR_INST}/storage/*

tar --strip-components 1 -zxf ./nsolid-*-argon-linux-x64.tar.gz -C ${DIR_INST}/nsolid-argon
tar --strip-components 1 -zxf ./nsolid-*-boron-linux-x64.tar.gz -C ${DIR_INST}/nsolid-boron
tar --strip-components 1 -zxf ./nsolid-console-*-linux-x64.tar.gz -C ${DIR_INST}/console
tar --strip-components 1 -zxf ./nsolid-storage-*-linux-x64.tar.gz -C ${DIR_INST}/storage

# link /nsolid to /nsolid-boron
ln -s ${DIR_INST}/nsolid-boron ${DIR_INST}/nsolid

#-------------------------------------------------------------------------------
# write launch scripts
#-------------------------------------------------------------------------------

#--------------------------------------
echo "writing launch script"

cat > ${DIR_INST}/nsolid-console.sh << END_CONSOLE_SH
NSOLID_PATH="$DIR_INST/nsolid"
STORAGE_LOG="/tmp/nsolid-storage.log"
CONSOLE_LOG="/tmp/nsolid-console.log"

trap 'echo "Shutting down nsolid-console"; kill %1' SIGINT

#######
# setting log files and data dir
######
touch \$STORAGE_LOG
chmod 0666 \$STORAGE_LOG
touch \$CONSOLE_LOG
chmod 0666 \$CONSOLE_LOG

#######
# starting processes
#######
${DIR_INST}/nsolid/bin/nsolid ${DIR_INST}/storage/nsolid-storage.js &> \$STORAGE_LOG &
NODE_ENV=production ${DIR_INST}/nsolid/bin/nsolid ${DIR_INST}/console/bin/nsolid-console 2>&1 | tee \$CONSOLE_LOG
END_CONSOLE_SH

chmod +x ${DIR_INST}/nsolid-console.sh

