'use strict'

// const lodash = require('lodash')

const api = require('./api')
// const util = require('../util')

exports.create = create

// const Logger = util.getLogger(__dirname, __filename)

// Create and return a new database writer.
function create (context) {
  return new Reader(context)
}

class Reader {
  constructor (context) {
    this.context = context
    this.port = this.context.config.influxdb.portHTTP
  }

  // Read an info record from the database.
  readInfo (cb) {
    this._read('select * from info limit 2', cb)
  }

  // Read a metrics record from the database.
  readMetrics (query, cb) {
    this._read(query, cb)
  }

  // Read data with a query.
  _read (query, cb) {
    api.query(this.port, 'nsolid', query, cb)
  }
}
