'use strict'

const util = require('../util')
const ZeroMQRelay = require('./relay')
const Logger = util.getLogger(__dirname, __filename)

exports.launch = launch

function launch (context, cb) {
  const config = context.config
  Logger.info(`ZeroMQ data pull url: ${config.sockets.dataBindAddr}`)
  Logger.info(`ZeroMQ bulk pull url: ${config.sockets.bulkBindAddr}`)
  Logger.info(`ZeroMQ command pub url: ${config.sockets.commandBindAddr}`)
  Logger.info(`ZeroMQ data push url: ${config.sockets.dataRemoteAddr}`)
  Logger.info(`ZeroMQ bulk push url: ${config.sockets.bulkRemoteAddr}`)
  Logger.info(`ZeroMQ command sub url: ${config.sockets.commandRemoteAddr}`)

  const relay = new ZeroMQRelay(config)

  cb(null, relay)
}
