'use strict'

const Agent = require('../../agent')

module.exports = function (context) {
  const name = 'metrics'
  function run (messageObj) {
    let agent = context.agentManager.byId(messageObj.agentId)

    if (!agent) {
      agent = Agent.create(context, messageObj.agentId)
    }

    // will remind the TimedCache that this agent is still around
    context.agentManager.upsert(agent)
    agent.addMetrics(messageObj)
  }

  function predicate (messageObj) {
    return !messageObj.requestId && messageObj.command === name
  }

  return { name, run, predicate }
}
