'use strict'

const dataInfo = require('./data-info')
const dataMetrics = require('./data-metrics')
const dataPackages = require('./data-packages')
const commandFulfillRequest = require('./command-fulfill-request')
const exitMessage = require('./exit')
const bulk = require('./bulk-transfer')

module.exports = function (context) {
  return {
    dynamic: [
      dataInfo(context),
      dataMetrics(context),
      dataPackages(context),
      commandFulfillRequest(context),
      exitMessage(context)
    ],
    bulk: bulk(context)
  }
}
